Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 2276)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 2277)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Removed unused variables do2d_xy_n, do2d_xz_n, do2d_yz_n, do3d_avs_n
+! 
+! 2101 2017-01-05 16:42:31Z suehring
 !
 ! 2000 2016-08-20 18:09:15Z knoop
@@ -76,5 +79,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  do2d_xz_n, do2d_xy_n, do2d_yz_n, do3d_avs_n, host, max_masks,   &
+        ONLY:  host, max_masks,                                                &
                mid, nz_do3d, openfile, run_description_header, z_max_do2d
                 
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 2276)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 2277)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Removed unused variables do2d_xy_n, do2d_xz_n, do2d_yz_n
+! 
+! 2233 2017-05-30 18:08:54Z suehring
 !
 ! 2232 2017-05-30 17:47:52Z suehring
@@ -178,7 +181,7 @@
         ONLY:  cloud_physics, data_output_2d_on_each_pe, data_output_xy,       &
                data_output_xz, data_output_yz, do2d,                           &
-               do2d_xy_last_time, do2d_xy_n, do2d_xy_time_count,               &
-               do2d_xz_last_time, do2d_xz_n, do2d_xz_time_count,               &
-               do2d_yz_last_time, do2d_yz_n, do2d_yz_time_count,               &
+               do2d_xy_last_time, do2d_xy_time_count,                          &
+               do2d_xz_last_time, do2d_xz_time_count,                          &
+               do2d_yz_last_time, do2d_yz_time_count,                          &
                ibc_uv_b, io_blocks, io_group, land_surface, message_string,    &
                ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz,                          &
@@ -1402,5 +1405,5 @@
 #endif
 #endif
-                   do2d_xy_n = do2d_xy_n + 1
+
 !
 !--                For 2D-arrays (e.g. u*) only one cross-section is available.
@@ -1628,5 +1631,4 @@
 #endif
 #endif
-                   do2d_xz_n = do2d_xz_n + 1
 
                 CASE ( 'yz' )
@@ -1847,5 +1849,4 @@
 #endif
 #endif
-                   do2d_yz_n = do2d_yz_n + 1
 
              END SELECT
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2276)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2277)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Removed unused variable sums_up_fraction_l
+! 
+! 2270 2017-06-09 12:18:47Z maronga
 ! dots_num must be increased when LSM and/or radiation is used
 ! 
@@ -394,5 +397,5 @@
         ONLY:  hom, hom_sum, mean_surface_level_height, pr_palm, rmask,        &
                statistic_regions, sums, sums_divnew_l, sums_divold_l, sums_l,  &
-               sums_l_l, sums_up_fraction_l, sums_wsts_bc_l, ts_value,         &
+               sums_l_l, sums_wsts_bc_l, ts_value,                             &
                weight_pres, weight_substep
 
@@ -468,5 +471,4 @@
               sums_l(nzb:nzt+1,pr_palm+max_pr_user,0:threads_per_task-1),      &
               sums_l_l(nzb:nzt+1,0:statistic_regions,0:threads_per_task-1),    &
-              sums_up_fraction_l(10,3,0:statistic_regions),                    &
               sums_wsts_bc_l(nzb:nzt+1,0:statistic_regions),                   &
               ts_value(dots_max,0:statistic_regions) )
@@ -942,5 +944,4 @@
     sums_divold_l      = 0.0_wp
     sums_l_l           = 0.0_wp
-    sums_up_fraction_l = 0.0_wp
     sums_wsts_bc_l     = 0.0_wp
 
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2276)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2277)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Added doxygen comments for variables/parameters,
+! removed unused variables dissipation_control, do2d_xy_n, do2d_xz_n, do2d_yz_n, 
+! do3d_avs_n, lptnudge, lqnudge, lunudge, lvnudge, lwnudge, skip_do_avs, 
+! sums_up_fraction_l.
+! 
+! 2259 2017-06-08 09:09:11Z gronemeier
 ! Implemented synthetic turbulence generator
 !
@@ -458,5 +464,5 @@
 !> Definition of all variables
 !>
-!> @todo Add description for each variable
+!> @todo Add missing variable descriptions (Siggi)
 !------------------------------------------------------------------------------!
 
@@ -471,8 +477,8 @@
     USE kinds
 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  aex  !< 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  bex  !< 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  dex  !< 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  eex  !< 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  aex  !< Siggi 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  bex  !< Siggi 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  dex  !< Siggi 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  eex  !< Siggi 
     
     SAVE
